<?php

namespace common\logic\Product\ProductCategory\Wrapper;

use common\logic\AbstractContainer;
use common\logic\Product\ProductCategory\Model\ProductCategory;
use common\logic\Product\ProductCategory\Repository\ProductCategoryRepository;
use common\logic\Product\ProductCategory\Service\ProductCategoryBuilder;

class ProductCategoryContainer extends AbstractContainer
{
    public function getEntityFqcn(): string
    {
        return ProductCategory::class;
    }

    public function getServices(): array
    {
        return [
            ProductCategoryBuilder::class,
            ProductCategoryRepository::class
        ];
    }

    public function getBuilder(): ProductCategoryBuilder
    {
        return ProductCategoryBuilder::getInstance();
    }

    public function getRepository(): ProductCategoryRepository
    {
        return ProductCategoryRepository::getInstance();
    }
}